cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Savory <and...@luminas.co.uk>
Subject 2.2 failing to build: scratchpad-impl, excalibur-sourceresolve
Date Sun, 18 Mar 2007 23:33:46 GMT
Hi,

Trying to do a clean build of C2.2 I'm seeing errors building  
scratchpad-impl because of a missing excalibur-sourceresolve 2.1 ..  
on looking on maven repositories, 2.1 is not available, only 2.2.1 [1]

I'm not sure what's going on in the scratchpad stuff, but this seems  
to fix it:

Index: blocks/cocoon-scratchpad/cocoon-scratchpad-impl/pom.xml
===================================================================
--- blocks/cocoon-scratchpad/cocoon-scratchpad-impl/pom.xml      
(revision 519723)
+++ blocks/cocoon-scratchpad/cocoon-scratchpad-impl/pom.xml      
(working copy)
@@ -76,9 +76,9 @@
        <version>1.0</version>
      </dependency>
      <dependency>
-      <groupId>org.apache.excalibur.components.sourceresolve</groupId>
+      <groupId>org.apache.excalibur.components</groupId>
        <artifactId>excalibur-sourceresolve</artifactId>
-      <version>2.1</version>
+      <version>2.2.1</version>
        <exclusions>
          <exclusion>
            <groupId>d-haven-managed-pool</groupId>


Can someone that's working on that stuff verify it's ok to commit  
this? Jorg?


[1] http://mirrors.dotsrc.org/maven2/org/apache/excalibur/components/ 
excalibur-sourceresolve/2.2.1/

Thanks,

Andrew.
--
Andrew Savory, Managing Director, Luminas Limited
Tel: +44 (0)870 741 6658  Fax: +44 (0)700 598 1135
Web: http://www.luminas.co.uk/
Sourcesense: http://www.sourcesense.com/



Mime
View raw message